Skip to main content
GET
/
client
/
quests
/
attempts
Get Quest Attempts
curl --request GET \
  --url https://api.doshi.app/client/quests/attempts \
  --header 'Access-Type: <access-type>' \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.doshi.app/client/quests/attempts"

headers = {
"Access-Type": "<access-type>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Access-Type': '<access-type>', Authorization: 'Bearer <token>'}
};

fetch('https://api.doshi.app/client/quests/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "attempts": [
    {
      "id": "<string>",
      "questId": "<string>",
      "userId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "actionType": "<string>",
      "questSnapshot": {},
      "reviewStatus": "<string>",
      "statusMessage": "<string>",
      "partnerUserId": "<string>",
      "completedAt": "2023-11-07T05:31:56Z",
      "rewardClaimStatus": "<string>",
      "responseString": "<string>",
      "metadata": {}
    }
  ],
  "total": 123
}
{
"code": "<string>",
"message": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

Authentication token (API Key) provided by Doshi. Your server's IP address must be whitelisted to use this API. Contact hello@doshi.app to whitelist your IPs.

Headers

Access-Type
enum<string>
required

Must be set to 'client' for all API requests

Available options:
client

Query Parameters

userId
string

Filter by user ID

questId
string

Filter by quest ID

reviewStatus
enum<string>

Filter by review status (APPROVED, REJECTED, FAILED, IN_REVIEW, USER_ACTION_PENDING)

Available options:
APPROVED,
REJECTED,
FAILED,
IN_REVIEW,
USER_ACTION_PENDING
page
integer
default:1

Page number for pagination

pageSize
integer
default:10000

Number of results per page (max 10000)

Response

A list of quest attempts.

attempts
object[]
required
total
integer
required